osl::stat::Histogram Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::stat::Histogram Class Reference

ヒストグラム More...

`#include <histogram.h>`

## Public Member Functions
| Histogram (size_t w, size_t len, int start=0, bool show_on_destruct=false)
| ~Histogram ()
size_t | safeIndex (size_t i) const
double & | frequency (size_t i)
void | add (int value, double weight=1.0)
double | frequency (size_t i) const
void | show (std::ostream &os) const
size_t | length () const
size_t | width () const
int | start () const
void | merge (const Histogram &)
| 結果を合算する length や width が異なっていたら何もしない More...
void | showRatio (std::ostream &os, const Histogram &numerator) const
| {*this}{numerator} を表示 length や width が異なっていたら何もしない More...

## Private Attributes
boost::scoped_array< double > | data
size_t | length_
size_t | width_
int | start_
bool | show_on_destruct

## Detailed Description

ヒストグラム

Definition at line 15 of file histogram.h.

## Constructor & Destructor Documentation

osl::stat::Histogram::Histogram | ( | size_t | w,
|  | size_t | len,
|  | int | start = `0`,
|  | bool | show_on_destruct = `false`
| ) |  |

Definition at line 8 of file histogram.cc.

References data, and length_.

osl::stat::Histogram::~Histogram | ( | ) |  |

Definition at line 15 of file histogram.cc.

References osl::record::csa::show().

## Member Function Documentation

void osl::stat::Histogram::add | ( | int | value,
|  | double | weight = `1.0`
| ) |  |
| inline

Definition at line 29 of file histogram.h.

References frequency(), start_, weight, and width_.

Referenced by show(), and test_position().

double& osl::stat::Histogram::frequency | ( | size_t | i) |  |
| inline

Definition at line 28 of file histogram.h.

References data, and safeIndex().

Referenced by add(), and osl::showLogProb().

double osl::stat::Histogram::frequency | ( | size_t | i) |  | const
| inline

Definition at line 37 of file histogram.h.

References data, and safeIndex().

size_t osl::stat::Histogram::length | ( | ) |  | const
| inline

Definition at line 40 of file histogram.h.

References length_.

Referenced by osl::showLogProb().

void osl::stat::Histogram::merge | ( | const Histogram & | o) |  |

結果を合算する length や width が異なっていたら何もしない

Definition at line 21 of file histogram.cc.

References data, length_, start_, and width_.

size_t osl::stat::Histogram::safeIndex | ( | size_t | i) |  | const
| inline

Definition at line 24 of file histogram.h.

References length_.

Referenced by frequency().

void osl::stat::Histogram::show | ( | std::ostream & | os) |  | const

Definition at line 35 of file histogram.cc.

void osl::stat::Histogram::showRatio | ( | std::ostream & | os,
|  | const Histogram & | numerator
| ) |  | const

{*this}{numerator} を表示 length や width が異なっていたら何もしない

Definition at line 47 of file histogram.cc.

References data, length_, start_, and width_.

int osl::stat::Histogram::start | ( | ) |  | const
| inline

Definition at line 42 of file histogram.h.

References start_.

Referenced by osl::showLogProb().

size_t osl::stat::Histogram::width | ( | ) |  | const
| inline

Definition at line 41 of file histogram.h.

References width_.

Referenced by osl::showLogProb().

## Member Data Documentation

boost::scoped_array<double> osl::stat::Histogram::data
| private

Definition at line 17 of file histogram.h.

Referenced by frequency(), Histogram(), merge(), and showRatio().

size_t osl::stat::Histogram::length_
| private

Definition at line 18 of file histogram.h.

Referenced by Histogram(), length(), merge(), safeIndex(), and showRatio().

bool osl::stat::Histogram::show_on_destruct
| private

Definition at line 20 of file histogram.h.

int osl::stat::Histogram::start_
| private

Definition at line 19 of file histogram.h.

Referenced by add(), merge(), showRatio(), and start().

size_t osl::stat::Histogram::width_
| private

Definition at line 18 of file histogram.h.

Referenced by add(), merge(), showRatio(), and width().

The documentation for this class was generated from the following files:

- histogram.h
- histogram.cc